Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class NodePickerPanel.NodePickerAdapter

    java.lang.Object
      org.apache.batik.apps.svgbrowser.NodePickerPanel.NodePickerAdapter

All Implemented Interfaces:
  EventListener, NodePickerPanel.NodePickerListener

Enclosing class:
  NodePickerPanel

    public static class NodePickerPanel.NodePickerAdapter

extends Object
implements NodePickerPanel.NodePickerListener

The adapter for the NodePicker listener.

Constructor Summary
`NodePickerPanel.NodePickerAdapter()`

Method Summary
`void` | `addNewElement(NodePickerPanel.NodePickerEvent event)` Adds the element from the data contained in the NodePickerEvent.
`void` | `updateElement(NodePickerPanel.NodePickerEvent event)` Updates the element from the data contained in the NodePickerEvent.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodePickerPanel.NodePickerAdapter

    public NodePickerPanel.NodePickerAdapter()

Method Detail

### addNewElement

    public void addNewElement(NodePickerPanel.NodePickerEvent event)

  Description copied from interface: `NodePickerPanel.NodePickerListener`
  Adds the element from the data contained in the NodePickerEvent.

  Specified by:
    `addNewElement` in interface `NodePickerPanel.NodePickerListener`

### updateElement

    public void updateElement(NodePickerPanel.NodePickerEvent event)

  Description copied from interface: `NodePickerPanel.NodePickerListener`
  Updates the element from the data contained in the NodePickerEvent.

  Specified by:
    `updateElement` in interface `NodePickerPanel.NodePickerListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.